Skip to content

Messages

Manage messages within conversations

Get Messages

Request

Called during synchronization to pull in the messages from the conversation in your system. Messages which have already been synchronized will be ignored. New messages will be pulled into Fin's version of the Conversation.

Security
BearerAuth
Bodyapplication/json
conversation_idstring

ID of the conversation in your system

Example:"conv_456"
after_idstring

ID of the last seen message ID from the external system. As an optimization, the external service may choose to return only messages created after this.

Example:"msg_101"
POST
/get_messages
curl -i -X POST \
  https://helpdesk.example.com/api/fin/get_messages \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "conversation_id": "conv_456",
    "after_id": "msg_101"
  }'

Responses

Messages retrieved successfully

Bodyapplication/json
dataArray of objects(Message)
errorobject or null(ProblemDetails)

The error returned by the API. This is an RFC 7807 problem details object: https://www.rfc-editor.org/rfc/rfc7807.html.

Response
{ "data": [ { … }, { … } ] }